System.ServiceModel 4.0.0.0 System.Object System.Runtime.Serialization.DataContract

This class is abstract and cannot be instantiated directly.

An abstract class used as a base class for other formatters, (for example, ).

- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the class with the specified .

  The to serialize.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Verifies whether the specified contains a valid Atom 1.0 categories document.

  A value that specifies whether the contains a valid Atom 1.0 categories document.

  The to read from.
- Method
  4.0.0.0
  System.ServiceModel.Syndication.InlineCategoriesDocument To be added.

  Creates a that can be serialized into a <atom:categories> element within a service document and contains the set of categories within the element.

  Returns an that can be serialized into a <atom:categories> element within a service document.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.ReferencedCategoriesDocument To be added.

  Creates a that can be serialized into a <atom:categories> element within a service document and contains a URI reference to the set of categories within the element.

  Returns a that can be serialized into a <atom:categories> element within a service document.

- Property
  4.0.0.0
  System.ServiceModel.Syndication.CategoriesDocument To be added. To be added.

  Gets the categories document.

- Method
  4.0.0.0
  System.Void `` To be added.

  Reads an Atom 1.0 <atom:categories> element from the specified instance.

  The to read from.
- Method
  4.0.0.0
  System.Void `` To be added.

  Specifies the to associate with the .

  The to associate with the .
- Property
  4.0.0.0
  System.String To be added.

  indigo1 supports Atom 1.0 and RSS 2.0 syndication versions.

  Gets the syndication version used by the formatter.

- Method
  4.0.0.0
  System.Void `` To be added.

  Writes the associated with the to the specified .

  The to write to.